Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.render.velocity
Class VelocityRenderer

    java.lang.Object
      |
      +--com.infodesire.infobit.render.velocity.VelocityRenderer

All Implemented Interfaces:
  InfobitRenderer

Direct Known Subclasses:
  ExportVelocityRenderer, ServletVelocityRenderer

public abstract class VelocityRenderer
extends java.lang.Object
implements InfobitRenderer

base class for all velocity rendering. we handle general configuration here. implementing classes shall provide case specific rendering

Version:
  $Revision: 1.10 $
Author:
  konstantin

Constructor Summary
`VelocityRenderer()` Constructor for the VelocityRenderer object

Method Summary
`InfobitManager` | `getManager()` Gets the Manager attribute of the VelocityRenderer object
`void` | `init(java.util.Properties properties)` initialize renderer with supplied properties
`void` | `render(java.lang.String name, java.io.Writer writer, java.util.Map parameters)` entry point for infobit rendering
`abstract void` | `renderContent(java.io.Writer writer, Content content)` render infobit content in appropriate way
`void` | `setManager(InfobitManager manager)` Sets the Manager attribute of the VelocityRenderer object
`abstract void` | `setupContext(org.apache.velocity.context.Context context, java.lang.String infobitName)` setup context for rendering of certain infobit

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityRenderer

    public VelocityRenderer()

  Constructor for the VelocityRenderer object

Method Detail

### getManager

    public InfobitManager getManager()

  Gets the Manager attribute of the VelocityRenderer object

  Specified by:
    `getManager` in interface `InfobitRenderer`
  Returns:
    The Manager value

### setManager

    public void setManager(InfobitManager manager)

  Sets the Manager attribute of the VelocityRenderer object

  Specified by:
    `setManager` in interface `InfobitRenderer`
  Parameters:
    `manager` - The new Manager value

### setupContext

    public abstract void setupContext(org.apache.velocity.context.Context context,
                                      java.lang.String infobitName)

  setup context for rendering of certain infobit

  Parameters:
    `context` - Description of Parameter
    `infobitName` - Description of Parameter

### render

    public void render(java.lang.String name,
                       java.io.Writer writer,
                       java.util.Map parameters)
                throws java.lang.Exception

  entry point for infobit rendering

  Specified by:
    `render` in interface `InfobitRenderer`
  Parameters:
    `writer` - sink for rendered infobit data
    `name` - name of infobit in question
    `parameters` - parameter map - wil lbe used to rig up velocity context.
  Throws:
    `java.lang.Exception` - could be thrown if something wrong happens.

### renderContent

    public abstract void renderContent(java.io.Writer writer,
                                       Content content)

  render infobit content in appropriate way

  Parameters:
    `writer` - Description of Parameter
    `content` - Description of Parameter

### init

    public void init(java.util.Properties properties)

  initialize renderer with supplied properties

  Specified by:
    `init` in interface `InfobitRenderer`
  Parameters:
    `properties` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.